- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDBezierSpline Class Reference

Represents a Bezier spline. More...

`#include <FCDGeometrySpline.h>`

Inheritance diagram for FCDBezierSpline:

List of all members.

## Public Member Functions
| FCDBezierSpline (FCDocument *document)
| Constructor.
virtual | ~FCDBezierSpline ()
| Destructor.
virtual FUDaeSplineType::Type | GetSplineType () const
| FCDSpline method implementation.
bool | AddCV (const FMVector3 &cv)
| Adds a CV to a Bezier spline.
void | ToNURBs (FCDNURBSSplineList &toFill) const
| Creates one NURB per Bezier segment and appends it to the provided NURB list.
virtual bool | IsValid () const
| Determines if the spline is valid.

## Detailed Description

Represents a Bezier spline.

The Bezier spline is represented as an array of adjacent cubic Bezier segments. Each segment consists of 4 control vertices, the last one being reused as the first vertex of the next segment. If the spline is closed, the first control vertex is also reused for the last vertex of the last segment.

## Constructor & Destructor Documentation

FCDBezierSpline::FCDBezierSpline | ( | FCDocument * | document | ) |

  | Constructor. Parameters:
  | document | The FCollada document that owns this spline.

## Member Function Documentation

bool FCDBezierSpline::AddCV | ( | const FMVector3 & | cv | ) | `[inline]`

  | Adds a CV to a Bezier spline. Parameters:
  | cv | 3D position of the CV.

virtual FUDaeSplineType::Type FCDBezierSpline::GetSplineType | ( |  | ) | const`[inline, virtual]`

| FCDSpline method implementation. Returns: The BEZIER spline type. Implements FCDSpline.

virtual bool FCDBezierSpline::IsValid | ( |  | ) | const`[virtual]`

| Determines if the spline is valid. Returns: True is the spline is valid, false otherwise.

void FCDBezierSpline::ToNURBs | ( | FCDNURBSSplineList & | toFill | ) | const

  | Creates one NURB per Bezier segment and appends it to the provided NURB list. Parameters:
  | toFill | The NURB list to fill.

The documentation for this class was generated from the following file:

- FCDocument/FCDGeometrySpline.h